Name:           owasp-java-html-sanitizer
Version:        20160422.1
Release:        %mkrel 1
Summary:        A fast HTML Sanitizer written in Java
Group:          Development/Java

# New BSD License
License:        BSD
URL:            https://github.com/OWASP/java-html-sanitizer
# TODO: there are no tests in the generated tarball
# ./create-tarball.sh
Source0:        %{name}-%{version}.tar.gz
Source2:        create-tarball.sh

BuildRequires:  maven-local
BuildRequires:  mvn(com.google.code.findbugs:jsr305)
BuildRequires:  mvn(com.google.guava:guava)
BuildRequires:  mvn(commons-codec:commons-codec)
BuildRequires:  mvn(junit:junit)

BuildArch:      noarch

%description
A fast and easy to configure HTML Sanitizer written in Java which lets you 
include HTML authored by third-parties in your web application 
while protecting against XSS.
The code was written with security best practices in mind, has an extensive 
test suite, and has undergone adversarial security review. 

%package        javadoc
Summary:        Javadoc for %{name}

%description    javadoc
This package contains API javadoc documentation for %{name}.


%prep
%setup -q -n %{name}-%{version}

# nothing interesting in the parent POM
%pom_remove_parent

%pom_remove_plugin :jacoco-maven-plugin
%pom_remove_dep com.google.code.findbugs:annotations
%pom_remove_dep nu.validator.htmlparser:htmlparser

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc COPYING
%files javadoc -f .mfiles-javadoc
%doc COPYING




%changelog
* Wed Apr 27 2016 daviddavid <daviddavid> 20160422.1-1.mga6
+ Revision: 1006911
- Update to 20160422.1 (sync with fedora 24)

  + neoclust <neoclust>
    - Second rebuild of the java stack

* Tue Mar 01 2016 daviddavid <daviddavid> 20160203.1-1.mga6
+ Revision: 981398
- First rebuild of the java stack
- sync package owasp-java-html-sanitizer with fedora (update to 20160203.1)

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 223-3.mga5
+ Revision: 750475
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat May 24 2014 dmorgan <dmorgan> 223-1.mga5
+ Revision: 625676
- imported package owasp-java-html-sanitizer


* Tue Mar 04 2014 Michal Srb <msrb@redhat.com> - 223-1
- Update to upstream version 223

* Wed Sep 11 2013 Michal Srb <msrb@redhat.com> - 209-1
- Update to upstream version 209

* Mon Sep 02 2013 Michal Srb <msrb@redhat.com> - 198-1
- Update to upstream version 198
- Add create-tarball.sh script to SRPM

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 175-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jun 24 2013 Michal Srb <msrb@redhat.com> - 175-1
- Update to upstream version 175
- Fix directory ownership
- Spec file clean up

* Fri Apr 26 2013 Michal Srb <msrb@redhat.com> - 163-1
- Initial package

